View Issue Details

IDProjectCategoryView StatusLast Update
0016479ScribusStory Editor / Text Framespublic2021-02-19 11:29
Reportercarter.barnes.j@gmail.com Assigned Tojghali  
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.6 
Target VersionFixed in Version1.5.7.svn 
Summary0016479: Story editor does not follow dark theme
DescriptionWrong color scheme on Story editor make it unreadable (white fonts on white background).
See the attached screenshot. See 0016031
Steps To ReproduceIn KDE global settings, set "Breath2" as global theme. with "Breath2 Dark" Plasma style.
Open Scribus. Create a text frame and open the story editor.
Additional InformationDE: KDE FW 5.78.0 / Plasma 5.20.5
WM: KWin
Theme: Breath2
TagsNo tags attached.
PatchNo

Activities

carter.barnes.j@gmail.com

2021-02-17 22:27

reporter  

ksnip_20210217-162724.png (38,090 bytes)
ksnip_20210217-162724.png (38,090 bytes)
ksnip_20210217-162652.png (60,942 bytes)
ksnip_20210217-162652.png (60,942 bytes)

jghali

2021-02-18 19:06

administrator   ~0048859

Fixed, however a small change is also needed in preference file. Locate the scribus150.rc file located in /home/your_username/.config/scribus, open it with a text editor and remove the "FontColorBackground" xml attribute... or just delete scribus150.rc file so that it is re-created.

carter.barnes.j@gmail.com

2021-02-19 11:29

reporter   ~0048862

Confirmed fixed on my end as well. Did the change and loaded version 24511.
Thanks!

Issue History

Date Modified Username Field Change
2021-02-17 22:27 carter.barnes.j@gmail.com New Issue
2021-02-17 22:27 carter.barnes.j@gmail.com File Added: ksnip_20210217-162724.png
2021-02-17 22:27 carter.barnes.j@gmail.com File Added: ksnip_20210217-162652.png
2021-02-18 19:02 jghali Summary Wrong color scheme on Story editor => Story editor does not follow dark theme
2021-02-18 19:06 jghali Assigned To => jghali
2021-02-18 19:06 jghali Status new => resolved
2021-02-18 19:06 jghali Resolution open => fixed
2021-02-18 19:06 jghali Fixed in Version => 1.5.7.svn
2021-02-18 19:06 jghali Note Added: 0048859
2021-02-19 11:29 carter.barnes.j@gmail.com Note Added: 0048862